Subject: [lojban] little-endian vs. big-endian (was:Specific example of Sapir-Whorf in English OR How Lojban made me think more clearly)

From: Adam Raizen <[email-masked]>
Date: Tue, 03 Dec 2002 16:29:04 +0200

la djorden. cusku di'e

> I use big-endian in english, but lojban's specified (I think? I
> only remember this from nick/robin's lessons; dunno what, if anything,
> the book says) to use little endian.
> 
> It's probably not a problem to go ahead using big-endian, though,
> since the two are unambig because the year is 4 digits.

I don't think that the book says anything about it, though I'm not 
completely certain, but at any rate, this is clearly an extra-linguistic 
issue. In the US they use middle-endian dates, whereas in Britain they 
use little-endian dates, and no one claims that Americans and Britons 
speak different languages because of that. It's a bit like metric vs. 
English Imperial.

mu'o mi'e .adam.